public static final class Url.Builder extends GeneratedMessage.Builder<Url.Builder> implements UrlOrBuilderUrl.
Protobuf type google.backstory.Url
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > Url.BuilderImplements
UrlOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
addAllCategories(Iterable<String> values)
public Url.Builder addAllCategories(Iterable<String> values)Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<String>The categories to add. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
addAllTags(Iterable<String> values)
public Url.Builder addAllTags(Iterable<String> values)Tags.
repeated string tags = 11;
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<String>The tags to add. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
addAllTrackers(Iterable<? extends Tracker> values)
public Url.Builder addAllTrackers(Iterable<? extends Tracker> values)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<? extends com.google.backstory.Tracker> |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
addCategories(String value)
public Url.Builder addCategories(String value)Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe categories to add. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
addCategoriesBytes(ByteString value)
public Url.Builder addCategoriesBytes(ByteString value)Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes of the categories to add. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
addTags(String value)
public Url.Builder addTags(String value)Tags.
repeated string tags = 11;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe tags to add. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
addTagsBytes(ByteString value)
public Url.Builder addTagsBytes(ByteString value)Tags.
repeated string tags = 11;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes of the tags to add. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
addTrackers(Tracker value)
public Url.Builder addTrackers(Tracker value)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
value |
Tracker |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
addTrackers(Tracker.Builder builderForValue)
public Url.Builder addTrackers(Tracker.Builder builderForValue)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Tracker.Builder |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
addTrackers(int index, Tracker value)
public Url.Builder addTrackers(int index, Tracker value)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
Tracker |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
addTrackers(int index, Tracker.Builder builderForValue)
public Url.Builder addTrackers(int index, Tracker.Builder builderForValue)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
Tracker.Builder |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
addTrackersBuilder()
public Tracker.Builder addTrackersBuilder()Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Returns | |
|---|---|
| Type | Description |
Tracker.Builder |
|
addTrackersBuilder(int index)
public Tracker.Builder addTrackersBuilder(int index)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
Tracker.Builder |
|
build()
public Url build()| Returns | |
|---|---|
| Type | Description |
Url |
|
buildPartial()
public Url buildPartial()| Returns | |
|---|---|
| Type | Description |
Url |
|
clear()
public Url.Builder clear()| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
clearCategories()
public Url.Builder clearCategories()Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
clearFavicon()
public Url.Builder clearFavicon()Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
clearHtmlMeta()
public Url.Builder clearHtmlMeta()Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
clearLastFinalUrl()
public Url.Builder clearLastFinalUrl()If the original URL redirects, where does it end.
string last_final_url = 5;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
clearLastHttpResponseCode()
public Url.Builder clearLastHttpResponseCode()HTTP response code of the last response.
int32 last_http_response_code = 6;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
clearLastHttpResponseContentLength()
public Url.Builder clearLastHttpResponseContentLength()Length in bytes of the content received.
int64 last_http_response_content_length = 7;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
clearLastHttpResponseContentSha256()
public Url.Builder clearLastHttpResponseContentSha256()URL response body's SHA256 hash.
string last_http_response_content_sha256 = 8;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
clearLastHttpResponseCookies()
public Url.Builder clearLastHttpResponseCookies()Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
clearLastHttpResponseHeaders()
public Url.Builder clearLastHttpResponseHeaders()Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
clearTags()
public Url.Builder clearTags()Tags.
repeated string tags = 11;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
clearTitle()
public Url.Builder clearTitle()Webpage title.
string title = 12;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
clearTrackers()
public Url.Builder clearTrackers()Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
clearUrl()
public Url.Builder clearUrl()URL.
string url = 1;
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
getCategories(int index)
public String getCategories(int index)Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The categories at the given index. |
getCategoriesBytes(int index)
public ByteString getCategoriesBytes(int index)Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the categories at the given index. |
getCategoriesCount()
public int getCategoriesCount()Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Returns | |
|---|---|
| Type | Description |
int |
The count of categories. |
getCategoriesList()
public ProtocolStringList getCategoriesList()Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Returns | |
|---|---|
| Type | Description |
ProtocolStringList |
A list containing the categories. |
getDefaultInstanceForType()
public Url getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
Url |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getFavicon()
public Favicon getFavicon()Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Returns | |
|---|---|
| Type | Description |
Favicon |
The favicon. |
getFaviconBuilder()
public Favicon.Builder getFaviconBuilder()Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Returns | |
|---|---|
| Type | Description |
Favicon.Builder |
|
getFaviconOrBuilder()
public FaviconOrBuilder getFaviconOrBuilder()Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Returns | |
|---|---|
| Type | Description |
FaviconOrBuilder |
|
getHtmlMeta()
public Struct getHtmlMeta()Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Returns | |
|---|---|
| Type | Description |
Struct |
The htmlMeta. |
getHtmlMetaBuilder()
public Struct.Builder getHtmlMetaBuilder()Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Returns | |
|---|---|
| Type | Description |
Builder |
|
getHtmlMetaOrBuilder()
public StructOrBuilder getHtmlMetaOrBuilder()Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getLastFinalUrl()
public String getLastFinalUrl()If the original URL redirects, where does it end.
string last_final_url = 5;
| Returns | |
|---|---|
| Type | Description |
String |
The lastFinalUrl. |
getLastFinalUrlBytes()
public ByteString getLastFinalUrlBytes()If the original URL redirects, where does it end.
string last_final_url = 5;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for lastFinalUrl. |
getLastHttpResponseCode()
public int getLastHttpResponseCode()HTTP response code of the last response.
int32 last_http_response_code = 6;
| Returns | |
|---|---|
| Type | Description |
int |
The lastHttpResponseCode. |
getLastHttpResponseContentLength()
public long getLastHttpResponseContentLength()Length in bytes of the content received.
int64 last_http_response_content_length = 7;
| Returns | |
|---|---|
| Type | Description |
long |
The lastHttpResponseContentLength. |
getLastHttpResponseContentSha256()
public String getLastHttpResponseContentSha256()URL response body's SHA256 hash.
string last_http_response_content_sha256 = 8;
| Returns | |
|---|---|
| Type | Description |
String |
The lastHttpResponseContentSha256. |
getLastHttpResponseContentSha256Bytes()
public ByteString getLastHttpResponseContentSha256Bytes()URL response body's SHA256 hash.
string last_http_response_content_sha256 = 8;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for lastHttpResponseContentSha256. |
getLastHttpResponseCookies()
public Struct getLastHttpResponseCookies()Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Returns | |
|---|---|
| Type | Description |
Struct |
The lastHttpResponseCookies. |
getLastHttpResponseCookiesBuilder()
public Struct.Builder getLastHttpResponseCookiesBuilder()Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Returns | |
|---|---|
| Type | Description |
Builder |
|
getLastHttpResponseCookiesOrBuilder()
public StructOrBuilder getLastHttpResponseCookiesOrBuilder()Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getLastHttpResponseHeaders()
public Struct getLastHttpResponseHeaders()Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Returns | |
|---|---|
| Type | Description |
Struct |
The lastHttpResponseHeaders. |
getLastHttpResponseHeadersBuilder()
public Struct.Builder getLastHttpResponseHeadersBuilder()Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Returns | |
|---|---|
| Type | Description |
Builder |
|
getLastHttpResponseHeadersOrBuilder()
public StructOrBuilder getLastHttpResponseHeadersOrBuilder()Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Returns | |
|---|---|
| Type | Description |
StructOrBuilder |
|
getTags(int index)
public String getTags(int index)Tags.
repeated string tags = 11;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The tags at the given index. |
getTagsBytes(int index)
public ByteString getTagsBytes(int index)Tags.
repeated string tags = 11;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the tags at the given index. |
getTagsCount()
public int getTagsCount()Tags.
repeated string tags = 11;
| Returns | |
|---|---|
| Type | Description |
int |
The count of tags. |
getTagsList()
public ProtocolStringList getTagsList()Tags.
repeated string tags = 11;
| Returns | |
|---|---|
| Type | Description |
ProtocolStringList |
A list containing the tags. |
getTitle()
public String getTitle()Webpage title.
string title = 12;
| Returns | |
|---|---|
| Type | Description |
String |
The title. |
getTitleBytes()
public ByteString getTitleBytes()Webpage title.
string title = 12;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for title. |
getTrackers(int index)
public Tracker getTrackers(int index)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
Tracker |
|
getTrackersBuilder(int index)
public Tracker.Builder getTrackersBuilder(int index)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
Tracker.Builder |
|
getTrackersBuilderList()
public List<Tracker.Builder> getTrackersBuilderList()Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Returns | |
|---|---|
| Type | Description |
List<Builder> |
|
getTrackersCount()
public int getTrackersCount()Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Returns | |
|---|---|
| Type | Description |
int |
|
getTrackersList()
public List<Tracker> getTrackersList()Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Returns | |
|---|---|
| Type | Description |
List<Tracker> |
|
getTrackersOrBuilder(int index)
public TrackerOrBuilder getTrackersOrBuilder(int index)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
TrackerOrBuilder |
|
getTrackersOrBuilderList()
public List<? extends TrackerOrBuilder> getTrackersOrBuilderList()Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.backstory.TrackerOrBuilder> |
|
getUrl()
public String getUrl()URL.
string url = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The url. |
getUrlBytes()
public ByteString getUrlBytes()URL.
string url = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for url. |
hasFavicon()
public boolean hasFavicon()Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the favicon field is set. |
hasHtmlMeta()
public boolean hasHtmlMeta()Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the htmlMeta field is set. |
hasLastHttpResponseCookies()
public boolean hasLastHttpResponseCookies()Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the lastHttpResponseCookies field is set. |
hasLastHttpResponseHeaders()
public boolean hasLastHttpResponseHeaders()Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the lastHttpResponseHeaders field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFavicon(Favicon value)
public Url.Builder mergeFavicon(Favicon value)Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
Favicon |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
mergeFrom(Url other)
public Url.Builder mergeFrom(Url other)| Parameter | |
|---|---|
| Name | Description |
other |
Url |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public Url.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public Url.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
mergeHtmlMeta(Struct value)
public Url.Builder mergeHtmlMeta(Struct value)Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
mergeLastHttpResponseCookies(Struct value)
public Url.Builder mergeLastHttpResponseCookies(Struct value)Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
mergeLastHttpResponseHeaders(Struct value)
public Url.Builder mergeLastHttpResponseHeaders(Struct value)Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
removeTrackers(int index)
public Url.Builder removeTrackers(int index)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setCategories(int index, String value)
public Url.Builder setCategories(int index, String value)Categorisation done by VirusTotal partners.
repeated string categories = 2;
| Parameters | |
|---|---|
| Name | Description |
index |
intThe index to set the value at. |
value |
StringThe categories to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setFavicon(Favicon value)
public Url.Builder setFavicon(Favicon value)Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Parameter | |
|---|---|
| Name | Description |
value |
Favicon |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setFavicon(Favicon.Builder builderForValue)
public Url.Builder setFavicon(Favicon.Builder builderForValue)Difference hash and MD5 hash of the URL's.
.google.backstory.Favicon favicon = 3;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Favicon.Builder |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setHtmlMeta(Struct value)
public Url.Builder setHtmlMeta(Struct value)Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setHtmlMeta(Struct.Builder builderForValue)
public Url.Builder setHtmlMeta(Struct.Builder builderForValue)Meta tags (only for URLs downloading HTML).
.google.protobuf.Struct html_meta = 4;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Builder |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setLastFinalUrl(String value)
public Url.Builder setLastFinalUrl(String value)If the original URL redirects, where does it end.
string last_final_url = 5;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe lastFinalUrl to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setLastFinalUrlBytes(ByteString value)
public Url.Builder setLastFinalUrlBytes(ByteString value)If the original URL redirects, where does it end.
string last_final_url = 5;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for lastFinalUrl to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setLastHttpResponseCode(int value)
public Url.Builder setLastHttpResponseCode(int value)HTTP response code of the last response.
int32 last_http_response_code = 6;
| Parameter | |
|---|---|
| Name | Description |
value |
intThe lastHttpResponseCode to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setLastHttpResponseContentLength(long value)
public Url.Builder setLastHttpResponseContentLength(long value)Length in bytes of the content received.
int64 last_http_response_content_length = 7;
| Parameter | |
|---|---|
| Name | Description |
value |
longThe lastHttpResponseContentLength to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setLastHttpResponseContentSha256(String value)
public Url.Builder setLastHttpResponseContentSha256(String value)URL response body's SHA256 hash.
string last_http_response_content_sha256 = 8;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe lastHttpResponseContentSha256 to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setLastHttpResponseContentSha256Bytes(ByteString value)
public Url.Builder setLastHttpResponseContentSha256Bytes(ByteString value)URL response body's SHA256 hash.
string last_http_response_content_sha256 = 8;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for lastHttpResponseContentSha256 to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setLastHttpResponseCookies(Struct value)
public Url.Builder setLastHttpResponseCookies(Struct value)Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setLastHttpResponseCookies(Struct.Builder builderForValue)
public Url.Builder setLastHttpResponseCookies(Struct.Builder builderForValue)Website's cookies.
.google.protobuf.Struct last_http_response_cookies = 9;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Builder |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setLastHttpResponseHeaders(Struct value)
public Url.Builder setLastHttpResponseHeaders(Struct value)Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Parameter | |
|---|---|
| Name | Description |
value |
Struct |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setLastHttpResponseHeaders(Struct.Builder builderForValue)
public Url.Builder setLastHttpResponseHeaders(Struct.Builder builderForValue)Headers and values of the last HTTP response.
.google.protobuf.Struct last_http_response_headers = 10;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
Builder |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setTags(int index, String value)
public Url.Builder setTags(int index, String value)Tags.
repeated string tags = 11;
| Parameters | |
|---|---|
| Name | Description |
index |
intThe index to set the value at. |
value |
StringThe tags to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setTitle(String value)
public Url.Builder setTitle(String value)Webpage title.
string title = 12;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe title to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setTitleBytes(ByteString value)
public Url.Builder setTitleBytes(ByteString value)Webpage title.
string title = 12;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for title to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setTrackers(int index, Tracker value)
public Url.Builder setTrackers(int index, Tracker value)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
Tracker |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setTrackers(int index, Tracker.Builder builderForValue)
public Url.Builder setTrackers(int index, Tracker.Builder builderForValue)Trackers found in the URL in a historical manner.
repeated .google.backstory.Tracker trackers = 13;
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
Tracker.Builder |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
|
setUrl(String value)
public Url.Builder setUrl(String value)URL.
string url = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe url to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |
setUrlBytes(ByteString value)
public Url.Builder setUrlBytes(ByteString value)URL.
string url = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for url to set. |
| Returns | |
|---|---|
| Type | Description |
Url.Builder |
This builder for chaining. |